figure
subplot(3,1,1)
title('Processo di Poisson')
plot(POISSON)
subplot(3,1,2)
title('Distribuzione delle posizioni')
hist(POISSON,150)
subplot(3,1,3)
title('Distribuzione degli incrementi')
hist(POISSON(2:end)-POISSON(1:end-1))

% La visualizzazione della funzione N(t) pu`o essere ottenuta con il
% comando 
figure
stairs(POISSON(1:end-1),N(1:end-1))
title(['Processo di Poisson con rate ', num2str(lambda), 'in', [0,num2str(Tmax)]])
xlabel('t')
ylabel('numero di successi')

n=10^4; NT=zeros(1,n);
for i=1:n
    [S,N]=poisson(lambda,T);
    NT(i) = N(end);
end
figure(2); x=0:2*lambda*T; N=histc(NT,x)/n; bar(x,N);
hold on; plot(x,poisspdf(x,lambda*T),'r*'); 

figure(3); cdfplot(NT); hold on
plot(x,poisscdf(x,lambda*T),'r*'); hold off